Installation Instructions

Please read the instructions thoroughly before attempting to install.

***YOU MUST HAVE ADMINISTRATOR PRIVILEDGES TO INSTALL THIS SOFTWARE – CONTACT YOUR SYSTEM ADMINISTRATOR FOR DETAILS***

IMPORTANT NOTES

NOTE A

YOU WILL NOT BE ABLE TO USE YOUR CURRENT VERSION OF MORPH WITH THIS 32-BIT VERSION OF MORPH. YOU CAN ONLY RUN ONE VERSION AT A TIME. YOU MUST UNINSTALL ANY PREVIOUS VERSIONS OF MORPH BEFORE INSTALLING THIS VERSION.

PLEASE NOTE THAT BY UNINSTALLING ANY PREVIOUS VERSIONS OF MORPH YOUR FARM, FIELD AND WEATHER SETTINGS WILL BE LOST ALONG WITH ANY MET DATA AND MODEL REPORTS.

To uninstall previous versions of MORPH you can either select Uninstall from the MORPH program files group, or use the Windows add/remove programs option from the control panel.

Once the uninstall has completed make sure that all old MORPH files and directories have been deleted by navigating to the location of the old version of MORPH e.g. C:\Program Files\MORPH and deleting the MORPH folder.

After the uninstall has completed ensure that the old MORPH.INI file has been removed as part of the uninstall, by navigating to the Windows folder (e.g. C:\Windows) and ensuring that the MORPH.INI file does not exist. If you do locate the file delete it.

Once the old version of MORPH and it’s files have been removed from the system, restart your computer and follow the general notes for the particular distribution of MORPH that you have acquired.

General Notes:

1) Web Distribution

If you received this version of MORPH from the internet you can install it as follows:

Find the location of the downloaded executable, double-click the executable, the set-up procedure will start, follow the on-screen instructions.

2) CD Distribution

If you received this version of MORPH on a CD-ROM, you can install it as follows:

To install place the CD into the CD-ROM drive and follow the on-screen instructions.

If the CD fails to autorun explore the CD-ROM and execute the ‘setup.exe’ application, then follow the on-screen instructions.

ONCE THE INSTALLATION HAS COMPLETED YOU MAY HAVE TO REBOOT THE COMPUTER FOR THE CHANGES TO TAKE EFFECT.


Introduction

Warwick-HRI (formerly Horticulture Research International) provides mathematical models that give valuable support to decision makers in commercial horticulture. These models include predictors for risks of pest or disease attack, advice on nutrition requirements and help with predicting crop spacing and maturity.

Many of these models require meteorological data – current, historic and forecast- to make good predictions. MORPH provides a way of attaching any source of data to any model. It then runs the model to produce predictions in the form of graphs or tables.

MORPH has been used for several years by the industry.

For the latest list and versions of the software models and documentation for MORPH visit the MORPH website www.warwick.ac.uk/go/morph or contact Morph.Support@warwick.ac.uk

At the time of writing MORPH currently contains the following models:

Pest forecasts | Disease Forecasts | Nutrition | Scheduling | Spacing
Cabbage root fly | Alternaria | WELL_N | BROCCOLI | Carrot Spacing
Pollen Beetle | Ringspot |  | Winter Cauliflower | Red-Beet Spacing
Large Narcissus Fly | White Blister |  |  |
Carrot Fly | BrassicaSpot |  |  |
PESTMAN | ADEM |  |  |
Codling moth | Apple scab |  |  |
Tortrix moth | Powdery Mildew |  |  |
Pear psyllid | Nectria fruit rot |  |  |
Slug | Fireblight |  |  |


Contacts

Please contact the MORPH team for help and support.

Please register your details with Morph.Support@warwick.ac.uk to receive technical support for this product.

Information that should be sent with this email should include your:

· Name

· Address

· Email

· Contact telephone numbers and fax

· HDC Member Number

Please keep your contact details up-to-date with us for information on new products.

Please visit the MORPH web pages for information and updates which can be found on the Warwick HRI website at www.warwick.ac.uk/go/morph

For specific problems please consult the Frequently Asked Questions (FAQ) section of the relevant help file or the relevant FAQ section on the MORPH website BEFORE contacting Morph.Support@warwick.ac.uk for technical support.


Overview

When a model is run for a crop it is essential that it gets attached to the correct source of meteorological data. This should obviously be appropriate for the site but must also contain the right weather data (Weather Requirements) for any models to be used.

To keep track of the crops and data sources, the user must provide the farm and field name of each crop. One farm may contain several fields.

Each field must be attached to a database of meteorological data. This is known as an archive and will hold data for a whole season. Several fields within the same farm may use the same archive.

Each archive gets its data from some source. This is often a weather station but may also be a plain file (known as an ASCII file) which the user has available. MORPH supports many popular weather stations. Most weather stations store data in a propriety format, to handle each of these formats MORPH contains a set of drivers known as data sources.

When data has been collected, a model is chosen. This will produce results based on the weather data. These results will be stored in a report. MORPH generates a database of reports, classified by farm and field, which are viewed using the report viewer.

To assist the user, MORPH is packaged with many examples. Here the farm and field names have been used to represent the type of model and a file containing historic data.


Task List

At the beginning of the season you need to configure the software as explained in Initial Configuration.

The aim of this is to provide details that are relevant for the whole season, briefly the weather stations that are to be used and the models to be run.

Throughout the season you run the model as frequently as you wish,Running Models . You may do this manually for one or more models and/or fields, Running Multiple Models and Fields or you may automate the procedure, Scheduling Models.


System requirements

Software

To use MORPH4 you will need a computer with one of the operating systems listed below as well as Internet Explorer 5.1 or higher - this can be downloaded from the Microsoft web site at www.microsoft.com.

  • Windows 2000 Service Pack 4
  • Windows XP Service Pack 2.

Please note that as Windows 98 and Windows NT are being phased out by Microsoft we do not have the ability to test the software on these platforms and so do not list them as recommended operating systems for MORPH.

Hardware

  • PC with 300 megahertz or higher processor clock speed recommended;
  • 128 megabytes (MB) of RAM or higher recommended (64 MB minimum supported; may limit performance and some features)
  • Super VGA (800 x 600) or higher-resolution video adapter and monitor
  • CD-ROM or DVD drive (if installing from CD)
  • 100MB of free hard disk space.
  • Keyboard and Mouse

*Additional hard disk space required for met data and additional space may be required for additional models.


Weather Requirements

Each model has very specific requirements for weather data. If you are collecting data using a weather station you must ensure that you are collecting the appropriate data. It doesn’t matter if you collect other data as well. Some models also need other information. The requirements for each model are listed under Inputs in the help for each model.


Acknowledgements

The models in MORPH have been developed over a long period with support from the UK government and industry. Considerable funding has been provided by Defra (formerly MAFF) and HDC (Horticultural Development Council). We are also indebted to many individuals in commercial horticulture who have put time and effort into the MORPH project.

MORPH itself was developed at Warwick-HRI (formerly Horticulture Research International) by a team of scientists and computer programmers. It remains the property of Warwick-HRI.


Initial Configuration

MORPH will open as a strip across the screen. To make it occupy the whole screen tick Windowbar on the File menu

The toolbar offers a quick way to select MORPH functions

Exits from MORPH

Returns MORPH to top of screen

Initiates data transfer

Displays weather data

Displays configuration for current model

Runs model on current field

Outputs results usually to report viewer

Displays MORPH help

To configure MORPH for the first time use Setup on the File menu.

Each of the items in the setup list must be completed in the order shown.

Setup Models asks the user to choose which models are relevant.

Setup farms asks the user to name the farm

Setup fields asks the user to name the the fields within the farm

Setup Met Data Archives asks the user to name the archives to store the weather data

Setup Data Sources asks the user to define the type of data source

This set up menu can also be used to add and delete models, farms, fields,archives and data sources.

You are now ready for getting started.


Set Up Models

After selecting Models from the File / Setup menu you are presented with the Setup Models dialog box.

The Setup Models dialog contains a list of available models. By default the first model in the list is selected. If you wish to select a different model either press the up or down arrow key or click on the model name with your mouse.

To add a new model, click the New button. The Add New Model dialog box will appear.

To remove a model, select the model in the model list and click the Delete button. This will remove the driver from the hard disk.

To assign the model to a different crop, select the model in the models list box and click the required crop from the crop combo box. The user should not normally change the crop of a model.

The changes can all be undone by clicking Cancel to close the dialog. Otherwise click OK to close the dialog.


Installation Instructions

Add New Models

After selecting New from the Setup Models dialog box, you are presented with the Add New Model dialog box.

Before you are able to select a model to install into MORPH you will have to make sure that the model dll is located within a “Models32” folder on the specified device.

For example if you are adding a model from the hard disk drive labelled as C: the model needs to be located within the following location: C:\Models32 (see screenshot below). If the folder Models32 does not exist you will need to create a new folder and rename it to “Models32”.

Then select the correct drive off of the Drive combo box from within the Add New Model dialog box. The model will be displayed in the model list ready for selection and installation.

Highlight the model that you want to install by clicking on it. Then click on the Install button to add the model into MORPH. Click on the Done button when you are finished. The model will only be added once you select OK in the Setup Models dialog box.

Don’t forget, if you are installing from a removable device to, insert a floppy disk or CD containing the model before selecting the drive in the Drive combo box. All available models on the selected drive are shown within the Models list box.

ONCE YOU HAVE INSTALLED A MODEL IT IS IMPORANT THAT YOU CONFIGURE THE OUTPUTS FOR THAT MODEL BEFORE YOU RUN THE MODEL FOR THE FIRST TIME, OTHERWISE THE OUTPUTS FOR THAT MODEL MAY BE INCORRECT.


Set Up Farms

Select Farms from the File/Setup menu to add a new farm or delete or rename existing farms. The screenshot below shows the effect of clicking button “New”


Set Up Fields

Fields can be added, deleted or renamed by choosing Fields from the File/Setup menu. New fields can be added by simply typing their names into the dialogue box below however it is sometimes convenient to create them by duplicating or copying existing fields. Duplicate and copy are useful for creating large number of fields sharing the same archive and for creating dummy fields to enter different data to see what effect this has on the model.

When the dialogue box opens the first field in the list will be highlighted. Select a different field by using the down arrow on the keyboard or clicking on the name with the mouse. To use a different farm click on the down arrow to the right of the farm combo box. To associate an archive with a field, select a field in the field list box and then select an archive from the met archive combo box.

New creates a new field

For the following operations, select (highlight) a field. After clicking some buttons a new dialogue box will appear.

Duplicate makes a copy of a field on the same farm. Copy makes a copy of a field ready to paste on the same or another farm.

Paste is enabled after a copy operation. Select the relevant farm from the farm combo box before clicking on paste

Rename asks the user for a new name for a field

Delete removes a field from the list

All changes can be undone by clicking Cancel. Otherwise click OK to close the dialogue.


Set Up Archives

Archives can be added, deleted or renamed and associated with a data source by choosing Met Data Archives from the File/Setup menu.

When the dialogue box opens the first archive in the list will be highlighted. Select a different archive by using the down arrow on the keyboard or clicking on the name with the mouse. To associate a data source with an archive, select an archive in the archive list box and then select a data source from the met archive combo box.

New creates a new archive

For the following operations, select (highlight) a field. After clicking some buttons a new dialogue box will appear.

Rename asks the user for a new name for a field

Delete removes a field from the list

All changes can be undone by clicking Cancel. Otherwise click OK to close the dialogue.


Set Up Data Sources

Data Sources can be added, Add Data Sources, or deleted by choosing Data Sources from the File/Setup menu.

When the dialogue box opens the first data source in the list will be highlighted. Select a different data source by using the down arrow on the keyboard or clicking on the name with the mouse.

New creates a data source

Delete attempts to remove a data source (driver) from the list. If any archives are associated with the selected data source, a warning message will be displayed and the data source will not be removed. To remove them, either remove associated archives or disconnect them from the data source.

All changes can be undone by clicking Cancel. Otherwise click OK to close the dialogue


Add Data Sources

The Add Data Source Dialogue Box appears when New is selected from the File/Setup/Data Sources menu.

Insert a floppy disk or CD containing the data source driver and select the drive in the Drive combo box. All available dataloggers on the selected drive are shown within the Available DataLoggers list. Select the required data source and click the Install button. When you have installed all of the required data sources click Done to return to the Setup Data Sources dialogue box


Weather Data

Weather data is transferred from a physical weather station to a MORPH archive using Data Transfer. It can be transferred from any of the Data Sources supplied, consult the MORPH team if you want to use a different device. Weather data should always be inspected in case of equipment problems use View data to do this.


Data Transfer

Data Transfer is the process by which data is transferred from the data logger into MORPH met data archive using a data source. The procedure will change slightly between different data sources.

From the Weather menu select Transfer or Transfer As... you will be presented with the Select Met Data Archive dialog box. By default, the current active archive will be highlighted. The action of Transfer As... is to always bring the dialog to match the datalogger and archive columns. Whereas Transfer will only bring the dialog if the columns have not been matched i.e. the first time data is transferred into the archive.

Select the required archive and click on OK. If the datalogger requires a file then the standard Windows open file dialog box will appear:

In this example the ASCII logger driver was associated to the Wellesbourne 98 met data archive. This was so that the Wellesbourne 98 met data archive could retrieve data from files in the ASCII format. An example of the ASCII file format can be seen below. It is important for the ASCII files to be successfully read by MORPH that they conform to the following rules:

1. All data in the file is tab-delimited.

2. The first line of information in the file is a tab-delimited list of column headings

3. The first two columns in the file are the date and time.

4. There are no spaces in the column headings (e.g. if a column is for air temperature it must be labelled in the following format “air_temp” or “airtemp” and NOT “air temp”.

Choose the file that you wish to have transferred. This will bring the following dialog box:

In order for a model to use data from a datalogger, the model will need to know which data items have been collected for the current archive and what the names have been assigned to these items. The above Match Columns dialog box is displayed with three list boxes:

Data Source Columns

The column names in the data source list box are the names of weather data available from the current archives datalogger.

Model Columns

These are the names of the weather data that are used by the model. The first time the Match Columns dialog box is opened all the model names which are weather data items required by any model in order for it to do some processing, will be displayed in the Model Columns by default.

Select a model. When a model is selected from the Model drop down list all the names used by the model will be displayed in the Model Columns list.

Archive Columns

These are the column names of weather data held in the current archive and will contain no entry by default when the dialog box is opened. To add a name double click on the weather information name in the Model Columns List. The added names will appear in the Archive Columns.

To remove an entry, select the name and right click with the mouse buttons.

Matching datalogger column names with archive column names

Select a name from the data source column list and click on it. Select the corresponding name from the archive column list and click on it. You will see selected items from both lists move to the top of the lists. Clicking on the lines checkbox will provide you with guidelines between selections.

Continue until all the archive columns are aligned in this way. Then click on OK to close the dialog box and continue.

Once you have linked the datalogger and model for the first time you will not need to do this again, since MORPH will remember the links. If however, you want to reassign the links select Transfer As... from the Weather menu.

If a field is already selected that has a met data archive associated to it, the data transfer button will be enabled. If this button is clicked, and the met data archive has not been se-up to match the datalogger columns and the archive columns, the columns will have to be matched up. Otherwise, the met data archive has already been setup and the data will be transferred in according to previous column settings.


Data Sources

For the latest list and latest versions of the software drivers for the various data sources visit the MORPH website www.warwick.ac.uk/go/morph or contact Morph.Support@warwick.ac.uk

At the time of writing the following data sources are supplied with a standard MORPH installation:-

ASCII Files This data source is intended for when there is no direct driver for the type of weather station in use. The columns in the ASCII file are delimited by tab, space,comma or any combination of the three.

The first row of the file should contain:

Date Time <Label for Channel 1> <Label for Channel 2> etc.

The second and subsequent rows should contain dd/mm/yyyy hh:mm:ss <Channel 1 value> <Channel 2 value> etc

For example:-

Date Time Air_Temp Rainfall

01/01/2000 00:00:00 -1.2 0.0

01/01/2000 01:00:00 -1.6 0.0

Adcon AddVantage 3.30 Use the AddVantage manager to install the MORPH extension from the D/loggers\Adcon directory. This will automatically transfer the Adcon data to MORPH when the AddVantage software is used, provided an initial data transfer has been made in MORPH

Delta T Files -32 bit This logger will prompt for a Delta T file (*.DAT) when data transfer is selected in MORPH

Manual Summary Data The user will be asked to enter values for minimum/maximum daily air temperature and daily total rainfall.

Metos ASCII 32-bit files

Skye Helios 32-bit

Skye Lynx 32-bit Copy the file MRH_Lynx.exe from the “\Loggers\Skye” directory of your MORPH installation into the C:\SkyeData directory. This will transfer the Skye data to MORPH when the Skye Lynx software is used, provided an initial data transfer has been made in MORPH

Skye Wizzcom 219 This will automatically transfer the Skye Wizzcom data to MORPH when the Skye Wizzcom software is used, provided an initial data transfer has been made in MORPH


View Data

Selecting View from the Weather Menu or clicking [image] will show all the data in the currently selected archive. If no archive is selected (check the status bar) the select archive dialogue will appear.

Examine the whole data set by using the scrolling bar on the right. To do a thorough check of the data switch between a tabular display and a graphical display using the [image] buttons.


Weather Data Auto Transfer Facility

You can use this facility to automatically transfer weather data into MORPH at regular intervals, for example you could check for new weather data every hour. This is an alternative to using the scheduler to transfer weather data from your weather station into MORPH. The scheduler would only allow you to specify a particular time to transfer data into MORPH from your weather station.

There are only a limited number of MORPH logger drivers which include the ‘Auto Transfer’ facility. A list of the MORPH logger drivers which have this facility can be found below:

  • Aardware Smaart log
  • Skye Lynx
  • Skye Wizzcomm


Running Models

When the status bar is complete, it usually means that MORPH has all the information that it needs to run the specified model (getting started) although some models may need extra information about the farms or fields (morph database). Some models also need information about the timing of events in each field (Events). Some models do not need an archive file because they use a file of average weather data.


Getting Started

Click on MORPH4 on the start menu

The MORPH screen has a status bar at the bottom. When this is empty, as below, it is an indication that a field must be chosen.

Choose the model group. This is defined by crop type except for models which work on all crops

1. Choose the model. Selecting Cabbage Root Fly produces a dialogue box which asks the user to select a farm and field. If you have already used the weather model to select a field just click OK. The status bar will now be complete:

2. You are now ready to run the model. Click on GO or select Run from the model specific (here, Cabbage Root Fly) menu.

A progress indicator will appear on the screen and then a message ‘Compiling Report’. The MORPH viewer will then open and display your Outputs.


MORPH Database

In addition to the weather database MORPH has a database of information, provided by the user, which is specific to each model and relates to a farm or field. The user is asked for the information in a model-specific dialogue box. Use database viewer to check this information later.

In the following example the user has specified a farm called test using Setup Farms. After specifying a field and an archive the user has run the cabbage root fly model from the brassica section of the models menu. Running the model gives rise to the following dialogue box. In the example the user has clicked on the second box and entered the value 100 either by typing or by clicking on the arrows. Instructions on what to enter are at the bottom of the screen and also in the information file obtained by clicking


Database Viewer

The contents of the MORPH database can be inspected by selecting Database from the File menu. The left hand column shows the farms and fields that have been set up either in the initial installation or by the user. The right hand column shows some of the information that has been input for the models.


Events

Some models can make use of additional time based information. For example selecting WELL_N from the Models menu gives rise to a series of questions. One of these questions is concerned with irrigation and the user is asked to provide the dates when irrigation was applied and the amount of irrigation at each date.

The add and delete buttons can be used to provide a series of irrigation events.


Outputs

When the model has been run (running model) a new program, the MORPH viewer automatically opens. This is in a separate window with its own toolbar. Using this viewer the results of running the model can be displayed as graphs or tables. Click on the tabs at the bottom of the display to view these different outputs on separate pages. Reports can be saved and printed in the usual way (Reports) from the File menu.

To zoom in on particular areas of the graphs, select Zoom from the View Menu in the Viewer window or click on the magnifying glass [image] . Click the mouse button and keep it pressed to drag a box over the area of interest. Once you release the button the area selected will expand to fill the whole graph. To return to the original view use Reset Zoom from the View Menu or

If a page contains a number of graphs a single graph can be maximised to a full page by selecting Single from the View menu. Click on Multiple or double click on the graphs to restore them. Alternatively use

The font size on the graphs and tables can be modified by selecting Graphic Font Size or Table Font Size from the View menu. These two settings change the screen appearance of the reports but not the printout of them.


Reports

The reports described in outputs are stored for inspection later. These reports will be the latest version of the outputs, so will refer to the weather available when they were run. They are classified by farm, field and model and can be accessed from the Report menu as shown below. Reports can be generated as HTML files by selecting Report media from the Reports menu.


Running Multiple Models and Fields

When the user needs to run on the same model on several fields or different models on the same field the process can be automated. Generate a file holding the details of each field and model and then save this file which has .MRP extension. To run the model on all the fields, open the .MRP file and choose run from the Run menu. Reports will be generated for each combination in turn.

To generate the .MRP file select Edit from the File menu:

To add a new model/field selection click on the Add button. An empty row will appear in the dialogue. Select the farm, field, crop and model in the four boxes provided. Use the down arrow to select from the appropriate list.

To delete a model/field selection, click anywhere on the row and then click on the Delete button. The selected row will disappear.

Click OK to retain changes and Cancel to discard them.

The .MRP file can be renamed by opening the file again after pressing OK and using File/Save As to store it under a sensible name.


Scheduling Models

To run models on the same fields regularly a schedule can be specified. This schedule will only be run if MORPH is running. So remember to keep it running and minimised in the background. Results are added to the Reports system (Reports)unless they are specified to be sent to the printer. Selecting Schedule from the File menu produces the following dialogue box.

To add a new model/ field selection click on the Add button. A new row will appear in the dialogue. The date and time will be set to the current date and time. Initially the frequency will be set to daily- this can be changed as appropriate. Use the down arrows to select the frequency, farm, field, crop and model. In the Action column select Run or Print – to generate both actions or to print more pages include the same selection two or more times as shown in the example.

Models can also be added to the schedule using Add to Schedule on the Run menu

To delete a model/field selection click on the Delete button. The selected row will disappear.

Click on the OK button to keep any changes and on the Cancel button to discard them.